uk.co.mruoc.http.client

## Class Response.ResponseBuilder

- java.lang.Object
- - uk.co.mruoc.http.client.Response.ResponseBuilder

Enclosing class:
  Response

    public static class Response.ResponseBuilder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ResponseBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Response` `build()`
`Response.ResponseBuilder` `setBody(java.lang.String body)`
`Response.ResponseBuilder` `setHeaders(Headers headers)`
`Response.ResponseBuilder` `setStatusCode(int statusCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseBuilder

    public ResponseBuilder()

### Method Detail

#### setStatusCode

    public Response.ResponseBuilder setStatusCode(int statusCode)

#### setBody

    public Response.ResponseBuilder setBody(java.lang.String body)

#### setHeaders

    public Response.ResponseBuilder setHeaders(Headers headers)

#### build

    public Response build()